Index: LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/aeropt_spl.F
===================================================================
--- LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/aeropt_spl.F	(revision 2196)
+++ LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/aeropt_spl.F	(revision 2217)
@@ -50,5 +50,5 @@
       PARAMETER (rh_int=12)
       REAL auxreal
-c      REAL ss_a(nb_lambda,rh_int,nbtr-1)
+c      REAL ss_a(nb_lambda,int,nbtr-1)
 c      DATA ss_a/72*1./
       REAL ss_dust(nb_lambda), ss_acc550(rh_int), alpha_acc
@@ -90,6 +90,11 @@
 c
       IF (ok_chimeredust) THEN 
-      ss_dust=(/0.5167768,0.5684330,0.6531643/)
-      ss_dustsco=(/0.1003391,0.1012288,0.1024651/)
+!JE20150212<< : changes in ustar in dustmod changes emission distribution
+!      ss_dust=(/0.5167768,0.5684330,0.6531643/)
+!      ss_dustsco=(/0.1003391,0.1012288,0.1024651/)
+      ss_dust=(/0.4670522, 0.5077308, 0.5745184/)
+      ss_dustsco=(/0.099858, 0.1007395, 0.1019673/)
+!JE20150212>>
+
       ELSE
       ss_dust=(/0.564, 0.614, 0.700/)
Index: LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/dustemission_mod.F90
===================================================================
--- LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/dustemission_mod.F90	(revision 2196)
+++ LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/dustemission_mod.F90	(revision 2217)
@@ -6,4 +6,6 @@
 !  INTEGER, PARAMETER     :: nbins=800  ! number of aerosol bins: for spla
 !  INTEGER, PARAMETER     :: nbins=8000  ! number of aerosol bins: for spla
+  
+  INTEGER, PARAMETER     :: flag_feff=1 ! 0: deactivate feff (drag partition scheme)
   INTEGER, PARAMETER     :: nbins=800  ! number of aerosol bins: for spla
   INTEGER, PARAMETER     :: nmode=3   ! number of soil-dust modes 
@@ -30,5 +32,4 @@
 !  real   , parameter :: e2=3.52/div2
 !  real   , parameter :: e3=3.46/div3
-!  real   , parameter :: factorflux=10.
 !  real   , parameter :: rop=2.65 ! particle density g/m3
 !  real   , parameter :: roa=0.001227  ! air density g/m3
@@ -46,5 +47,4 @@
   real   , parameter :: e2=3.52/div2
   real   , parameter :: e3=3.46/div3
-  real   , parameter :: factorflux=1.
   real   , parameter :: rop=2.65 ! particle density g/m3
   real   , parameter :: roa=0.001227  ! air density g/m3
@@ -53,5 +53,6 @@
 ! C=2.61 from Marticorena and Bergametti 1995 instead of Gillete and Chen 2001
 ! (recommended C=1.1  in supply-limited dust source area.. )
-  real   , parameter :: cd=2.61*roa/gravity
+   real   , parameter :: cd=2.61*roa/gravity
+!  real   , parameter :: cd=1.0*roa/gravity
 !JE20150202>>>>
   real,parameter     :: beta=16300.
@@ -286,5 +287,5 @@
   real,parameter :: sizescohigh=30.  ! in micrometers
 
-  real,parameter :: tunningfine=1.0  ! factor for fine bins!!! important!!
+  real,parameter :: tunningfactor=4.5  ! factor for fine bins!!! important!!
 !JE20140915  real,parameter :: sizeacclow=0.06
 !JE20140915  real,parameter :: sizeacchigh=1.0
@@ -316,5 +317,5 @@
    call abort_gcm('adaptdustemission', 'Dust range problem',1)
   endif
-  print *,'FINE DUST BIN: tunning EMISSION factor= ',tunningfine
+  print *,'ALL DUST BIN: tunning EMISSION factor= ',tunningfactor
   auxr1=9999.
   auxr2=9999.
@@ -394,13 +395,13 @@
    auxr1=auxr1+emisbinlocal(k,i)
   enddo
-  emdustacc(k)= auxr1*tunningfine
+  emdustacc(k)= auxr1*tunningfactor
   do i=imincoalow,imincoahigh-1
     auxr2=auxr2+emisbinlocal(k,i)
   enddo
-  emdustcoa(k)=auxr2
+  emdustcoa(k)=auxr2*tunningfactor
   do i=iminscolow,iminscohigh-1
     auxr3=auxr3+emisbinlocal(k,i)
   enddo
-  emdustsco(k)=auxr3
+  emdustsco(k)=auxr3*tunningfactor
 enddo
 
@@ -822,4 +823,16 @@
           enddo
         enddo
+! JE20150120<<
+  if (flag_feff .eq. 0) then
+    print *,'JE_dbg FORCED deactivated feff'
+    do i=1,klon
+      do k=1,ntyp
+        feff(i,k)=1.
+      enddo
+    enddo
+  endif
+! JE20150120>>
+
+
 if (1==1) then
 !  !  CALL writefield_phy("AA",tmp1(1:klon,1:5),5)
@@ -1062,6 +1075,6 @@
   REAL :: pdfcum,U10mMOD,pdfu,weilambda
   REAL :: z0salt,ceff,cerod,cpcent
-!JE20150202  !REAL :: cdnms,ustarns,modwm,utmin
-  REAL :: cdnms,ustarns,modwm
+  REAL :: cdnms,ustarns,modwm,utmin
+!JE20150202   REAL :: cdnms,ustarns,modwm
   REAL :: fdp1,fdp2,ad1,ad2,ad3,flux_diam
   REAL :: dfec1,dfec2,dfec3,t1,t2,t3,p1,p2,p3,dec,ec
@@ -1259,17 +1272,11 @@
              ENDDO !n=1,ntyp
 70 CONTINUE
-!factorflux
         fluxdust(i,1)=fluxdust(i,1)+flux1*probu(kwb)
         fluxdust(i,2)=fluxdust(i,2)+flux2*probu(kwb)
         fluxdust(i,3)=fluxdust(i,3)+flux3*probu(kwb)
    ENDDO !kwb=1,nwb
-!JE20150202 <<
-!      m1dflux(i)=10.*fluxdust(i,1)
-!      m2dflux(i)=10.*fluxdust(i,2)          ! tous en Kg/m2/s
-!      m3dflux(i)=10.*fluxdust(i,3)
-      m1dflux(i)=factorflux*10.*fluxdust(i,1)
-      m2dflux(i)=factorflux*10.*fluxdust(i,2)          ! tous en Kg/m2/s
-      m3dflux(i)=factorflux*10.*fluxdust(i,3)
-!JE20150202 >>
+      m1dflux(i)=10.*fluxdust(i,1)
+      m2dflux(i)=10.*fluxdust(i,2)          ! tous en Kg/m2/s
+      m3dflux(i)=10.*fluxdust(i,3)
 
 
@@ -1285,6 +1292,5 @@
     DO j=1,nbins
 !JE20150202 <<
-!    emisbin(k,j) = emisbin(k,j)+10*fluxdust(k,i)*massfrac(i,j)  
-    emisbin(k,j) = emisbin(k,j)+factorflux*fluxdust(k,i)*massfrac(i,j)  
+    emisbin(k,j) = emisbin(k,j)+10*fluxdust(k,i)*massfrac(i,j)  
 !JE20150202 >>
     ENDDO !j, nbind
Index: LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/physiq.F90
===================================================================
--- LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/physiq.F90	(revision 2196)
+++ LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/physiq.F90	(revision 2217)
@@ -3642,5 +3642,6 @@
   nbreg_wstardust=1
   fileregionsdimsind='regions_ind_meta'
-  fileregionsdimsdust='regions_dustacc_meta'
+!  fileregionsdimsdust='regions_dustacc_meta'
+  fileregionsdimsdust='regions_dust_meta'
   fileregionsdimsbb='regions_bb_meta'
   fileregionsdimswstar='regions_pwstarwake_meta'
@@ -3704,4 +3705,7 @@
   paramname_dustcoa='dustcoasco'
   paramname_dustsco='dustcoasco'
+  paramname_dustacc='dust'
+  paramname_dustcoa='dust'
+  paramname_dustsco='dust'
   paramname_wstarBL='pwstarbl'
   paramname_wstarWAKE='pwstarwake'
Index: LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/phytracr_spl_mod.F90
===================================================================
--- LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/phytracr_spl_mod.F90	(revision 2196)
+++ LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/phytracr_spl_mod.F90	(revision 2217)
@@ -2054,5 +2054,6 @@
 !      ENDIF
 !
-      c_FullName1='regions_dustacc'
+      !c_FullName1='regions_dustacc'
+      c_FullName1='regions_dust'
       call readregions_spl(iregion_dust,c_FullName1)
       c_FullName1='regions_ind'
Index: LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/sediment_mod.F
===================================================================
--- LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/sediment_mod.F	(revision 2196)
+++ LMDZ5/branches/LMDZ5_SPLA/libf/phylmd/sediment_mod.F	(revision 2217)
@@ -76,6 +76,10 @@
 !JE20140911        mmd_dustsco=15.56554  !micrometer for bin 0.5-20 and 0.5-10 um
         IF (ok_chimeredust) THEN 
-        mmd_dust=3.761212  !micrometer for bin 0.5-3 and 0.5-10 um
-        mmd_dustsco=15.06167  !micrometer for bin 3-20 and 0.5-10 um
+!JE20150212<< : changes in ustar in dustmod changes emission distribution
+!        mmd_dust=3.761212  !micrometer for bin 0.5-3 and 0.5-10 um
+!        mmd_dustsco=15.06167  !micrometer for bin 3-20 and 0.5-10 um
+!JE20150212>>
+        mmd_dust=3.983763
+        mmd_dustsco=15.10854 
         ELSE 
         mmd_dust=11.0  !micrometer for bin 0.5-20 and 0.5-10 um
